/*    ( ,  ) */
create table UDO_T_EQUIPDSCMFL
(
  /*   */
  RN                        number(17) not null,
  /*  */
  PRN                       number(17) not null,
  /*   */
  FILE_NAME                 varchar2(2000) not null,
  /*  */
  DESCR                     varchar2(4000) default null,
  /*    */
  QUEUE_ID                  varchar2(200) default null,
  /*  (0 - , 1 -   FTP, 2 -    FTP, 3 -    FTP, 4 -    , 5 -     , 6 -       ) */
  STATUS                    number(1) default 0 not null,
  /*    */
  ERR                       varchar2(4000) default null,
  /*  */
  constraint UDO_C_EQUIPDSCMFL_RN_PK primary key (RN),
  constraint UDO_C_EQUIPDSCMFL_PRN_FK foreign key (PRN) references UDO_T_EQUIPDSCM(RN),
  constraint UDO_C_EQUIPDSCMFL_FLNM_NB check (rtrim(FILE_NAME) is not null),
  constraint UDO_C_EQUIPDSCMFL_DESCR_NB check ((DESCR is null) or (rtrim(DESCR) is not null)),
  constraint UDO_C_EQUIPDSCMFL_QID_NB check ((QUEUE_ID is null) or (rtrim(QUEUE_ID) is not null)),  
  constraint UDO_C_EQUIPDSCMFL_QID_CH check (((STATUS in (4, 5, 6)) and (QUEUE_ID is not null)) or (STATUS not in (4, 5, 6))),
  constraint UDO_C_EQUIPDSCMFL_STATUS_CH check (STATUS in (0, 1, 2, 3, 4, 5, 6)),  
  constraint UDO_C_EQUIPDSCMFL_ERR_NB check ((ERR is null) or (rtrim(ERR) is not null)),
  constraint UDO_C_EQUIPDSCMFL_ERR_CH check (((STATUS in (3, 6)) and (ERR is not null)) or (STATUS not in (3, 6))),
  constraint UDO_C_EQUIPDSCMFL_FLNM_UN unique (PRN, FILE_NAME),
  constraint UDO_C_EQUIPDSCMFL_QID_UN unique (FILE_NAME, QUEUE_ID)
);
